package com.braintree.facade;

import com.braintree.hybris.data.BraintreeACHConfigurationData;
import com.braintree.hybris.data.BraintreeApplePayConfigurationData;
import com.braintree.hybris.data.BraintreeConnectWithPayPalConfigurationData;
import com.braintree.hybris.data.BraintreeGeneralConfigurationData;
import com.braintree.hybris.data.BraintreeGooglePayConfigurationData;
import com.braintree.hybris.data.BraintreeHostedFieldsConfigurationData;
import com.braintree.hybris.data.BraintreeLocalPaymentsConfigurationData;
import com.braintree.hybris.data.BraintreePayPalConfigurationData;
import com.braintree.hybris.data.BraintreePluginConfigurationData;
import com.braintree.hybris.data.BraintreeSRCConfigurationData;
import com.braintree.hybris.data.BraintreeVenmoConfigurationData;

public interface BraintreeConfigurationFacade {
    BraintreeGeneralConfigurationData getBraintreeGeneralConfigurationData();
    BraintreeHostedFieldsConfigurationData getBraintreeHostedFieldsConfigurationData();
    BraintreePayPalConfigurationData getBraintreePayPalConfigurationData();
    BraintreeApplePayConfigurationData getBraintreeApplePayConfigurationData();
    BraintreeGooglePayConfigurationData getBraintreeGooglePayConfigurationData();
    BraintreeLocalPaymentsConfigurationData getBraintreeLocalPaymentsConfigurationData();
    BraintreeVenmoConfigurationData getBraintreeVenmoConfigurationData();
    BraintreeSRCConfigurationData getBraintreeSRCConfigurationData();
    BraintreeConnectWithPayPalConfigurationData getBraintreeConnectWithPayPalConfigurationData();
    BraintreeACHConfigurationData getBraintreeACHConfigurationData();
    BraintreePluginConfigurationData getBraintreePluginConfigurationData();
}
